Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 83619

Summary: init scripts are not working correctly
Product: [Retired] Red Hat Linux Reporter: Ari Riikonen <ari.riikonen>
Component: initscriptsAssignee: Bill Nottingham <notting>
Status: CLOSED WORKSFORME QA Contact: Brock Organ <borgan>
Severity: medium Docs Contact:
Priority: medium    
Version: 7.1CC: rvokal
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-02-06 16:23:53 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Ari Riikonen 2003-02-06 11:55:39 UTC
Description of problem:
When the server starts or I try to use the /etc/init.d scripts, the following 
happens (see below). Where might be the problem???

Regards,
Ari Riikonen

[root@localhost init.d]# service network restart
Shutting down interface eth0:  [  OK  ]
/etc/sysconfig/network-scripts/ifdown-post[8]: .: network-functions: not found
Setting network parameters:  [  OK  ]
Bringing up interface lo:  /etc/sysconfig/network-scripts/ifup-post[4]: .: 
network-functions: not found
[FAILED]
Bringing up interface eth0:  /etc/sysconfig/network-scripts/ifup-post[4]: .: 
network-functions: not found
[FAILED]
[root@localhost init.d]# service portmap start
/etc/init.d/portmap[59]: syntax error: `(' unexpected
[root@localhost init.d]# 

[root@localhost init.d]# env
PWD=/etc/rc.d/init.d
HOSTNAME=localhost.localdomain
LESSOPEN=|/usr/bin/lesspipe.sh %s
KDEDIR=/usr
USER=root
LS_COLORS=no=00:fi=00:di=01;34:ln=01;36:pi=40;33:so=01;35:bd=40;33;01:cd=40;33;0
1:or=01;05;37;41:mi=01;05;37;41:ex=01;32:*.cmd=01;32:*.exe=01;32:*.com=01;32:*.b
tm=01;32:*.bat=01;32:*.sh=01;32:*.csh=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:
*.taz=01;31:*.lzh=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.gz=01;31:*.bz2=01;31:*
.bz=01;31:*.tz=01;31:*.rpm=01;31:*.cpio=01;31:*.jpg=01;35:*.gif=01;35:*.bmp=01;3
5:*.xbm=01;35:*.xpm=01;35:*.png=01;35:*.tif=01;35:
MACHTYPE=i386-redhat-linux-gnu
MAIL=/var/spool/mail/root
INPUTRC=/etc/inputrc
BASH_ENV=/root/.bashrc
LANG=en_US
LOGNAME=root
SHLVL=2
SHELL=/bin/bash
USERNAME=root
HOSTTYPE=i386
OSTYPE=linux-gnu
HISTSIZE=1000
TERM=vt100
HOME=/root
PATH=/sbin:/usr/sbin:/bin:/usr/bin:/usr/X11R6/bin
_=/usr/bin/env
[root@localhost init.d]# 

Version-Release number of selected component (if applicable):
[root@localhost init.d]# rpm -qif network
Name        : initscripts                  Relocations: (not relocateable)
Version     : 5.84.1                            Vendor: Red Hat, Inc.
Release     : 1                             Build Date: Fri 21 Sep 2001 
07:12:00 PM EEST
Install date: Fri 24 Jan 2003 04:56:51 PM EET      Build Host: 
stripples.devel.redhat.com
Group       : System Environment/Base       Source RPM: initscripts-5.84.1-
1.src.rpm
Size        : 1049876                          License: GPL
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Summary     : The inittab file and the /etc/init.d scripts.
Description :
The initscripts package contains the basic system scripts used to boot
your Red Hat system, change runlevels, and shut the system down
cleanly.  Initscripts also contains the scripts that activate and
deactivate most network interfaces.

How reproducible:

Every time..

Steps to Reproduce:
1. For example commands 'service portmap start' or /etc/init.d/portmap start
2. Same with other init scripts..
3.
    
Actual results:
[root@localhost init.d]# service network restart
Shutting down interface eth0:  [  OK  ]
/etc/sysconfig/network-scripts/ifdown-post[8]: .: network-functions: not found
Setting network parameters:  [  OK  ]
Bringing up interface lo:  /etc/sysconfig/network-scripts/ifup-post[4]: .: 
network-functions: not found
[FAILED]
Bringing up interface eth0:  /etc/sysconfig/network-scripts/ifup-post[4]: .: 
network-functions: not found
[FAILED]
[root@localhost init.d]# service portmap start
/etc/init.d/portmap[59]: syntax error: `(' unexpected


Expected results:
Services should have given the normal [ OK ] (function) and started up the 
service.

Additional info:

Comment 1 Bill Nottingham 2003-02-06 15:56:36 UTC
I've not seen this reported on other 7.1 installations before. What does 'rpm -V
initscripts' say?

Comment 2 Ari Riikonen 2003-02-06 16:04:30 UTC
Updated the initscripts rpm package from the 7.1 updates. No change.

- Ari

[root@localhost /root]# rpm -V initscripts
.......T c /etc/inittab
.......T   /etc/locale/cs/LC_MESSAGES/initscripts.mo
.......T   /etc/locale/da/LC_MESSAGES/initscripts.mo
.......T   /etc/locale/de/LC_MESSAGES/initscripts.mo
.......T   /etc/locale/es/LC_MESSAGES/initscripts.mo
.......T   /etc/locale/eu_ES/LC_MESSAGES/initscripts.mo
.......T   /etc/locale/fi/LC_MESSAGES/initscripts.mo
.......T   /etc/locale/fr/LC_MESSAGES/initscripts.mo
.......T   /etc/locale/gl/LC_MESSAGES/initscripts.mo
.......T   /etc/locale/hu/LC_MESSAGES/initscripts.mo
.......T   /etc/locale/id/LC_MESSAGES/initscripts.mo
.......T   /etc/locale/is/LC_MESSAGES/initscripts.mo
.......T   /etc/locale/it/LC_MESSAGES/initscripts.mo
.......T   /etc/locale/ja/LC_MESSAGES/initscripts.mo
.......T   /etc/locale/ko/LC_MESSAGES/initscripts.mo
.......T   /etc/locale/pl/LC_MESSAGES/initscripts.mo
.......T   /etc/locale/pt/LC_MESSAGES/initscripts.mo
.......T   /etc/locale/pt_BR/LC_MESSAGES/initscripts.mo
.......T   /etc/locale/ro/LC_MESSAGES/initscripts.mo
.......T   /etc/locale/ru/LC_MESSAGES/initscripts.mo
.......T   /etc/locale/sk/LC_MESSAGES/initscripts.mo
.......T   /etc/locale/sl/LC_MESSAGES/initscripts.mo
.......T   /etc/locale/sr/LC_MESSAGES/initscripts.mo
.......T   /etc/locale/tr/LC_MESSAGES/initscripts.mo
.......T   /etc/locale/uk/LC_MESSAGES/initscripts.mo
.......T   /etc/locale/wa/LC_MESSAGES/initscripts.mo
.......T   /etc/locale/zh/LC_MESSAGES/initscripts.mo
.......T   /etc/locale/zh_CN.GB2312/LC_MESSAGES/initscripts.mo
S.5....T c /etc/rc.d/init.d/functions
S.5....T c /etc/rc.d/init.d/halt
S.5....T c /etc/rc.d/init.d/netfs
S.5....T c /etc/rc.d/init.d/network
S.5....T c /etc/rc.d/rc
S.5....T c /etc/rc.d/rc.local
S.5....T c /etc/rc.d/rc.sysinit
S.5....T c /etc/sysconfig/network-scripts/ifup-aliases
S.5....T c /etc/sysconfig/network-scripts/network-functions
.M...... c /etc/sysconfig/network-scripts/network-functions-ipv6
S.5....T c /etc/sysctl.conf
S.5....T c /sbin/ifup
.......T   /sbin/service
.......T   /sbin/setsysfont
.......T   /usr/sbin/sys-unconfig
.......T   /usr/share/locale/cs/LC_MESSAGES/initscripts.mo
.......T   /usr/share/locale/da/LC_MESSAGES/initscripts.mo
.......T   /usr/share/locale/de/LC_MESSAGES/initscripts.mo
.......T   /usr/share/locale/es/LC_MESSAGES/initscripts.mo
.......T   /usr/share/locale/eu_ES/LC_MESSAGES/initscripts.mo
.......T   /usr/share/locale/fi/LC_MESSAGES/initscripts.mo
.......T   /usr/share/locale/fr/LC_MESSAGES/initscripts.mo
.......T   /usr/share/locale/gl/LC_MESSAGES/initscripts.mo
.......T   /usr/share/locale/hu/LC_MESSAGES/initscripts.mo
.......T   /usr/share/locale/id/LC_MESSAGES/initscripts.mo
.......T   /usr/share/locale/is/LC_MESSAGES/initscripts.mo
.......T   /usr/share/locale/it/LC_MESSAGES/initscripts.mo
.......T   /usr/share/locale/ja/LC_MESSAGES/initscripts.mo
.......T   /usr/share/locale/ko/LC_MESSAGES/initscripts.mo
.......T   /usr/share/locale/pl/LC_MESSAGES/initscripts.mo
.......T   /usr/share/locale/pt/LC_MESSAGES/initscripts.mo
.......T   /usr/share/locale/pt_BR/LC_MESSAGES/initscripts.mo
.......T   /usr/share/locale/ro/LC_MESSAGES/initscripts.mo
.......T   /usr/share/locale/ru/LC_MESSAGES/initscripts.mo
.......T   /usr/share/locale/sk/LC_MESSAGES/initscripts.mo
.......T   /usr/share/locale/sl/LC_MESSAGES/initscripts.mo
.......T   /usr/share/locale/sr/LC_MESSAGES/initscripts.mo
.......T   /usr/share/locale/tr/LC_MESSAGES/initscripts.mo
.......T   /usr/share/locale/uk/LC_MESSAGES/initscripts.mo
.......T   /usr/share/locale/wa/LC_MESSAGES/initscripts.mo
.......T   /usr/share/locale/zh/LC_MESSAGES/initscripts.mo
.......T   /usr/share/locale/zh_CN.GB2312/LC_MESSAGES/initscripts.mo
..5....T d /usr/share/man/man1/consoletype.1.gz
..5....T d /usr/share/man/man1/doexec.1.gz
..5....T d /usr/share/man/man1/initlog.1.gz
..5....T d /usr/share/man/man1/ipcalc.1.gz
..5....T d /usr/share/man/man1/netreport.1.gz
..5....T d /usr/share/man/man1/usleep.1.gz
..5....T d /usr/share/man/man8/ppp-watch.8.gz
..5....T d /usr/share/man/man8/sys-unconfig.8.gz
..5....T d /usr/share/man/man8/usernetctl.8.gz
.......T c /etc/X11/prefdm
.......T c /etc/initlog.conf
.......T c /etc/inittab
.......T c /etc/profile.d/lang.csh
.......T c /etc/profile.d/lang.sh
S.5....T c /etc/rc.d/rc.local
.M...... c /etc/sysconfig/network-scripts/network-functions-ipv6
S.5....T c /etc/sysctl.conf

Comment 3 Bill Nottingham 2003-02-06 16:23:53 UTC
Most of your initscripts have been modified from what's shipped. I'd guess
that's where the problem lies.